Amazon API 5 – Everything You Need to Know

Back to All Documentation

Amazon is killing the old version of their Product Advertising (PA) API – version 4 (API 4) will be no longer. If you’re like me… you weren’t even aware that the API had different versions! I never even knew that versions 1 through 3 existed and I certainly didn’t know that the current version that I had been using for many years was version 4.

Nevertheless, API 4 is coming to an abrupt end on October 31, 2019 and Amazon is forcing all API users to move to the new version – API 5.

What is Amazon API 5?

API 5 is simply Amazon’s latest upgraded and updated version of their API. The API allows us, as Amazon Associates, to connect our websites to the Amazon databases in order to display information about products being sold on Amazon on our own websites. Here is the FAQ section from the full documentation for API 5 from Amazon – https://webservices.amazon.com/paapi5/documentation/faq.html

How will this affect my website that connects to the API?

As of October 31, 2019 – the old API 4 will be completely shut down and if your site is still using API 4 your Amazon links that utilize the API will no longer work. You must update to API 5 on or before October 31, 2019. This means that any plugin or tool that you use must update their code to be compatible with the new API 5. Dont’ worry – if you’re using AmaLinks Pro to connect to Amazon via the API – you’ll be good to go. We’re on top of this and our updated version will be released before October 31, 2019. But keep reading, because there are steps that you need to take on your end to be sure that you are compatible with API 5.

How do I update to Amazon API 5?

As an AmaLinks Pro user, there are three things that you must confirm or do in order to be compatible with API 5.

  • Confirm that your Amazon API keys are compatible with API 5
  • Confirm that you have the proper Amazon API keys inserted and activated in your plugin
  • Confirm that you are running the latest updated version of the plugin

Important! You MUST have a current and active subscription to AmaLinks Pro in order to receive plugin updates. If you are running AmaLinks Pro v 1.4.4 (or earlier) or Table Builder add-on v 1.2.4 (or earlier) – then your Amazon API connection will not work. You must update to the most recent versions in order to be compatible with API 5.

How do I know if my API credentials are compatible with API 5?

If your credentials were generated after September 30, 2017 – you are good to go and you do not need to take any action. If your credentials were generated before September 30, 2017 – then you absolutely must generate new credentials. I actually fall into this category – so I’ll show you exactly how to do this.

Here’s the story in a nutshell. In the past, API credentials were generated through Amazon Web Services (AWS). This is where I generated my Amazon API keys many years ago and I’ve been using the same credentials ever since. September 30, 2017 – this must have been the date when they moved the process to generate API credentials to right within the Amazon Associates dashboard.

Basically – if you created your API credentials from within your Amazon Associates dashboard (Tools menu > Product Advertising API) then you are probably good to go. If you created your API credentials on AWS more than 2 years ago – you probably need to update.

If you are uncertain about your credentials, you could try playing around with the Amazon ‘Scratchpad‘ to see if your credentials work.

  • To check if your credentials are compatible with PA API 5. Use the “Start Tour” option to get a tour of the Scratchpad. If you have any questions refer to the Scratchpad usage guide section.
  • If you are getting “AccessDeniedException” with “AccessDeniedAwsUsers” code – this means that you need to update your credentials.

How to Update Your Amazon API Credentials

If your Amazon API keys were generated on AWS (like mine were), simply follow these steps…

  • Login to your Amazon Associates account
  • Under the Tools menu – click on Product Advertising API
  • Scroll down to where it says, ‘Manage Your Credentials’ and then click on the Migrate button

Migrate API Credentials

  • Click on the continue button on the next popup

Confirm Migration

  • Click on the button to Download your credentials
    • Be sure to save this file in a safe place where you won’t lose it
    • You will never be able to view these credentials online again – if you lose them, you’ll have to generate new credentials again

Download Credentials

  • Replace your old credentials with these new ones in any applications or tools that you use that require Amazon API keys.

API Keys - AmaLinks Pro

  • Test your new Amazon API keys (with AmaLinks Pro – simply click the Test Amazon API Connection button below the credentials)

Test Amazon API Connection

Will my API 5 keys continue to work with API 4?

Yes. You can and should update your API credentials to the new API 5 keys as soon as possible. Even if your software or applications are not yet updated to be compatible with API 5 – the new keys will work with both API 4 and API 5.

Does AmaLinks Pro work with Amazon API 5?

We have been aware of this upcoming change and we have been vigorously coding and testing, then testing and coding to make sure that AmaLinks Pro will absolutely be compatible with API 5 no later than October 31, 2019. Making these changes was not a small undertaking and it has taken many many hours of coding to make it work. But in the end, we clearly see how the new API 5 will vastly improve the experience at all user levels for years to come.

Version 1.4.4 (or earlier) of AmaLinks Pro will NOT be compatible with API 5. Be sure to download or update to the most recent version.

Version 1.2.4 (or earlier) of AmaLinks Pro will NOT be compatible with API 5. Be sure to download or update to the most recent version.

Again – AmaLinks Pro users MUST have a current and active subscription in order to receive important plugin updates like this. If you have an old version of AmaLinks Pro and an inactive license – you will need to purchase a subscription in order to receive this important update.

Note: Amazon is forcing us to make these changes and we aren’t just doing this to sell more subscriptions.

Frequently Asked Questions – API 5

Again, I encourage you to head over to the official documentation page on Amazon for API 5 and read through the FAQ.  All of your questions and more will be answered, including some of the following…

  • I am using PA API 4. Why do I need to upgrade to newer version of PA API?
  • What is the business value of upgrading to PA API 5 to an Associate?
  • What is the technical benefit of upgrading to PA API 5 as a developer?
  • If I am a PA API user today, what do I have to do to upgrade to PA API 5?
  • Does this mean that to upgrade my PA API 4 site to PA API 5, I will have to update my site or application?
  • How much effort and time will be required to upgrade to PA API 5 from PA API 4?
  • Do I need new credentials to access PA API 5 or can I use my old ones?
  • I do not remember if I generated new credentials. How do I know if I have old or new credentials?
  • Can I use the new credentials to access PA API 4?
  • If I have upgraded to PA API 5, can I roll back to PA API 4?
  • When I upgrade to PA API 5, do the efficiency guidelines apply? (Hint: the answer is yes)
  • I have never used PA API. What do I have to do to use PA API 5?
  • I have questions or have feedback. How can I get additional help?

Most of these questions are already answered in this Post above – but if you want to see Amazon’s answers to these specific questions, be sure to head over there and read up.

https://webservices.amazon.com/paapi5/documentation/faq.html

 

AmaLinks Pro Features

Questions?

Sales Questions?

  • For all product support, please contact support

For Support, Click Here

(more links in the footer)